Bug 587851 - [Calistoga] Output has red, gray, and white tiles instead of contour colors
[Calistoga] Output has red, gray, and white tiles instead of contour colors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-30 23:59 EDT by clifford snow
Modified: 2012-08-07 15:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:24:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Portion of a jpeg showing the tiling (61.68 KB, image/jpeg)
2010-04-30 23:59 EDT, clifford snow
no flags Details
/tmp/scratch-intel/10/w122n37.jpg (143.19 KB, image/jpeg)
2011-04-06 10:15 EDT, Fabrice Bellet
no flags Details
Xorg.0.log (F-15 box with the intel card) (25.11 KB, text/plain)
2011-04-06 10:19 EDT, Fabrice Bellet
no flags Details
glxinfo (F-15 box with the intel card) (11.25 KB, text/plain)
2011-04-06 10:20 EDT, Fabrice Bellet
no flags Details
/tmp/scratch-ati/10/w122n37.jpg (42.11 KB, image/jpeg)
2011-04-06 10:23 EDT, Fabrice Bellet
no flags Details
Xorg.0.log (F-15 box with the ati card) (42.96 KB, text/plain)
2011-04-06 10:24 EDT, Fabrice Bellet
no flags Details
glxinfo (F-15 box with the ati card) (23.96 KB, text/plain)
2011-04-06 10:25 EDT, Fabrice Bellet
no flags Details

  None (edit)
Description clifford snow 2010-04-30 23:59:55 EDT
Created attachment 410638 [details]
Portion of a jpeg showing the tiling

Description of problem: Output of the Map executable produces graphic maps used by Atlas.  While the geographic layout appears, the map section contains gray, red and while tiled sections.


Version-Release number of selected component (if applicable):
FlightGear-Atlas-0.4.0-0.5.cvs20100226.fc14.x86_64

How reproducible: Always


Steps to Reproduce:
1. Run M Map --fg-root=/usr/share/FlightGear/ \
--fg-scenery=/usr/share/FlightGear/Scenery/ \
--atlas=/usr/share/FlightGear/Atlas/ \
--palette=/usr/share/FlightGear/Atlas/Palettes/default.ap 
2. Review the jpeg images in /usr/share/FlightGear/Atlas
3. Notice the ugly output
  
Actual results: See example attached.


Expected results: Pretty jpeg image.


Additional info: I have confirmed that the raw data that Map converts into jpeg images is correct.
Comment 1 Bug Zapper 2010-07-30 07:32:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fabrice Bellet 2011-04-06 09:45:45 EDT
I could reproduce the problem on f-15, with the nouveau driver, and also with the ati driver. The intel driver works fine.

The '--no-lighting' option of the Map program generates images that are ok, so the problem seems to be related to the OpenGL lighting code : if (_lighting) { ... } in TileMapper.cxx
Comment 3 Fabrice Bellet 2011-04-06 10:15:45 EDT
Created attachment 490294 [details]
/tmp/scratch-intel/10/w122n37.jpg

=== F-15 box with an intel graphic chipset ===
(packages FlightGear-data and FlightGear-Atlas are installed)

Map --fg-scenery=/usr/share/FlightGear/Scenery --atlas=/tmp/scratch-intel --aafactor=1 --jpeg=85

-> the generated image is correct
Comment 4 Fabrice Bellet 2011-04-06 10:19:27 EDT
Created attachment 490296 [details]
Xorg.0.log (F-15 box with the intel card)
Comment 5 Fabrice Bellet 2011-04-06 10:20:43 EDT
Created attachment 490298 [details]
glxinfo (F-15 box with the intel card)
Comment 6 Fabrice Bellet 2011-04-06 10:23:34 EDT
Created attachment 490299 [details]
/tmp/scratch-ati/10/w122n37.jpg

=== F-15 box with an ati graphic chipset ===

Map --fg-scenery=/usr/share/FlightGear/Scenery --atlas=/tmp/scratch-ati --aafactor=1 --jpeg=85

-> the generated image has a color problem
Comment 7 Fabrice Bellet 2011-04-06 10:24:28 EDT
Created attachment 490301 [details]
Xorg.0.log (F-15 box with the ati card)
Comment 8 Fabrice Bellet 2011-04-06 10:25:18 EDT
Created attachment 490302 [details]
glxinfo (F-15 box with the ati card)
Comment 9 Fabrice Bellet 2011-04-06 10:35:35 EDT
# rpm -q mesa-libGL
mesa-libGL-7.11-0.5.20110401.0.fc15.i686

Reassigning to the mesa guys, they may have some idea about this case.
Comment 10 Fabrice Bellet 2011-04-07 07:56:16 EDT
running the program with LIBGL_ALWAYS_SOFTWARE=1 makes it work.
Comment 11 Fabrice Bellet 2011-04-07 09:01:30 EDT
The bug also occurs with swrastg_dri.so, but not with swrast_dri.so. So all gallium drivers seem to be concerned, even the softpipe.
Comment 12 Dave Airlie 2011-05-25 06:21:53 EDT
does mesa-7.11-0.11.20110525.0.fc15 in updates-testing help?
Comment 13 Fabrice Bellet 2011-05-26 04:05:02 EDT
the problem is still there with mesa-7.11-0.11.20110525.0.fc15
Comment 14 Fedora End Of Life 2012-08-07 15:24:48 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.